Index: ma.py
===================================================================
--- ma.py	(revision 1594)
+++ ma.py	(working copy)
@@ -4,14 +4,14 @@
 
 Copyright 1999, 2000, 2001 Regents of the University of California.
 Released for unlimited redistribution.
-Adapted for scipy_core 2005 by Travis Oliphant and
-(mainly) Paul Dubois.
+Adapted for scipy.base 2005 by Travis Oliphant and Paul Dubois.
 """
 import string, types, sys
 
 import umath
 import oldnumeric
 import function_base
+from function_base import amax, amin
 from numeric import e, pi, newaxis, ndarray
 from oldnumeric import typecodes
 from numerictypes import *
@@ -1872,13 +1872,13 @@
         if b is None:
             m = getmask(a)
             if m is None:
-                d = min(filled(a).ravel())
+                d = amin(filled(a).ravel())
                 return d
             ac = a.compressed()
             if len(ac) == 0:
                 return masked
             else:
-                return min(ac.raw_data())
+                return amin(ac.raw_data())
         else:
             return where(less(a, b), a, b)[...]
 
@@ -1921,13 +1921,13 @@
         if b is None:
             m = getmask(a)
             if m is None:
-                d = max(filled(a).ravel())
+                d = amax(filled(a).ravel())
                 return d
             ac = a.compressed()
             if len(ac) == 0:
                 return masked
             else:
-                return max(ac.raw_data())
+                return amax(ac.raw_data())
         else:
             return where(greater(a, b), a, b)[...]
 
